package junit;

import static org.junit.Assert.assertTrue;
import static org.junit.jupiter.api.Assertions.*;

import java.text.ParseException;
import java.util.Date;
import org.junit.jupiter.api.Test;

import database.Temperatur;
import metoder.Metoder;

class TestMethods {
	
	Metoder methods=new Metoder();
	
	
	@Test
	void testUtskrift() {
		String str="[1.123]";
		str=methods.utskrift(str);
		assertTrue(str.equals("1,1"));
		
		str="[1.123]";
		str=methods.utskrift(str);
		assertFalse(str.equals("1,12"));
		
		
		str="[1123]";
		str=methods.utskrift(str);
		assertTrue(str.equals("1123,0"));
		
		str="[0.1123]";
		str=methods.utskrift(str);
		assertTrue(str.equals("0,1"));
	
	}
	
	@Test
	void test() {	
		String str=methods.charReplace("[string]");
		assertTrue(str.equals("string"));
		
		str=methods.charReplace("s[tring]");
		assertTrue(str.equals("string"));
		
		str=methods.charReplace("string");
		assertTrue(str.equals("string"));
	}
	
	@Test
	void testDesimaler() {
		String str="1.123";
		str=methods.roundDecimals(str);	
		assertTrue(str.equals("1,1"));
		
		//Punktum istedet for komma
		str="1.123";
		str=methods.roundDecimals(str);	
		assertFalse(str.equals("1.1"));
		
		str="1.123";
		str=methods.roundDecimals(str);	
		assertFalse(str.equals("1,12"));
		
	}
	
	
	
	@Test
	void testDato() throws ParseException {
		Temperatur temp=new Temperatur();
		Date test=methods.getDato();
		temp.setDato(test);	
		assertTrue(test!=null);
	}
	
	@Test
	void testDouble() {
		
		//Funker med 1.2
		//Funker ikke med 1,2 - java number exception

		double d=methods.forandreKomma("1,1");
		assertTrue(d==1.1);	
		
		d=methods.forandreKomma("1.2");
		assertTrue(d==1.2);
		
	}
	
	
	@Test
	void testNull(){
		String s="";
		String t=null;
		s+=t;
		assertTrue(s!=null);
	}
	

}
