DROP SCHEMA IF EXISTS temperatur CASCADE;

CREATE SCHEMA temperatur;

SET search_path TO temperatur;

CREATE TABLE temperatur.maaler (
	maalernavn VARCHAR(40) not NULL,
	gatenavn VARCHAR(40),
	aktiv boolean,
	kritiskvarsling boolean,
	tempgrense int,
	CONSTRAINT maaler_pk PRIMARY KEY (maalernavn)
);


CREATE table if not EXISTS temperatur.temperatur (
	id SERIAL,
	temperatur float8 not NULL,
	maalernavn VARCHAR(40),
	dato DATE,
	tid TIME,
	tidspunkt TIMESTAMP,
	CONSTRAINT temperatur_pk PRIMARY KEY (id),
	CONSTRAINT temperatur_fk FOREIGN KEY(maalernavn) REFERENCES maaler(maalernavn)
);




CREATE TABLE temperatur.bruker (
	mobil int,
	fornavn VARCHAR(40),
	etternavn VARCHAR(40),
	epost VARCHAR,
	passord VARCHAR,
	CONSTRAINT bruker_pk PRIMARY KEY (mobil)
);


insert into temperatur.maaler (maalernavn, gatenavn)
values('leic', 'SVEIARHAUGEN'),
('djup', 'STORASLETTO'),
('leib', 'BANDADALEN');

UPDATE temperatur.maaler
SET aktiv = FALSE, kritiskvarsling = TRUE, tempgrense = 40;



INSERT INTO temperatur.bruker (mobil, fornavn, etternavn, passord, epost)
VALUES('12345678', 'Gjest', 'Bruker', 'grB7GVjj6Gxz++FcXOcCCRAiDTxSnKH1MaFWDmkTFuU0zn6E9jvvO2It+awuERORlZDBRpLKqlp/ADTjZ23yfg==', 'andtveit@icloud.com'),
('90180574', 'Anders', 'Torgilstveit','8PGkgjX2DpMYa8MGYrJmBMAqF3J426I8SEr0eHZ9lz9M4AY36YoZT27T+6vhzDXFJSFFbuu4DhNrD9WW0EmyXA==', 'anderstorgilstveit@gmail.com');




create type varsel as enum ('TEMPERATURVARSEL', 'MAALERVARSEL');

CREATE TABLE temperatur.alarm (
	id SERIAL,
	maalernavn VARCHAR(40) not NULL,
	dato date,
	tid TIME,
	varsel VARCHAR not NULL,
	CONSTRAINT alarm_pk PRIMARY KEY (id),
	CONSTRAINT alarm_fk FOREIGN KEY(maalernavn) REFERENCES temperatur.maaler(maalernavn)
   );



