package admin;

import java.io.IOException;
import java.util.List;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import database.Maaler;
import database.MaalerEAO;
import database.TempEAO;

/**
 * Servlet som har ansvar for bruker sine instillinger. Klagjør visning i doGet, og tar imot info i doPost
 */
@WebServlet("/InnstillingerServlet")
public class InnstillingerServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	@EJB
	TempEAO tempEAO;
	@EJB
	MaalerEAO maalerEAO;
	List<Maaler>maalerListe;
	
      
	public InnstillingerServlet() {
		super();
	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession sesjon = request.getSession(false);  //SESJON Returnerer null eller eksisterende sesjon
        if (sesjon == null || sesjon.getAttribute("Bruker") == null) {
        	request.setAttribute("feilmelding", "Sesjon ugyldig");
        	request.getRequestDispatcher("index.jsp").forward(request,response);
        }
        else {
        
			maalerListe=null;
			maalerListe=maalerEAO.retrieveAll();
			
			if (maalerListe == null) { // Ingen målerer
				response.sendRedirect("LogoutServlet");
			}
	
			request.setAttribute("maalerliste", maalerListe);
			request.getRequestDispatcher("WEB-INF/innstillinger.jsp").forward(request, response);
        }//else
	}//doPost

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		
		HttpSession sesjon = request.getSession(false);  //SESJON Returnerer null eller eksisterende sesjon
        if (sesjon == null || sesjon.getAttribute("Bruker") == null) {
        	request.setAttribute("feilmelding", "Sesjon ugyldig");
        	request.getRequestDispatcher("index.jsp").forward(request,response);
        }
        else {
        
			String devicename = "empty";
			if(request.getParameter("devices") != null) {
				devicename = request.getParameter("devices");
			}
			System.out.println("Syso 77: devicename: " + devicename);
			
			
			String alarm = request.getParameter("alarm");
			System.out.println("Syso 79: alarm: " + alarm);
			
			String tempLimit = request.getParameter("tempLimit");
			System.out.println("Syso 81: templimit: " + tempLimit);
			
			Maaler device = null;
			device = maalerEAO.retrieveOne(devicename);
			
			if(device != null) {
				if(alarm != null) {
					if (alarm.equals("active")){
						device.setKritiskvarsling(true);
					}
					else{
						device.setKritiskvarsling(false);
					}
				}
				if(tempLimit != "" && (!tempLimit.equals("Temperatur"))) {
					device.setTempgrense(Integer.parseInt(tempLimit));
				}
				maalerEAO.update(device);
			}
			response.sendRedirect("InnstillingerServlet");
        }//else
	}//doPost
}//class





