package admin;

import java.io.IOException;
import java.util.List;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import database.Bruker;
import database.BrukerEAO;
import database.MaalerEAO;
import database.TempEAO;
import sesjon.PassordUtil;
import sesjon.Sesjon;
import sesjon.ValiderInput;

/**
 * Denne klassen tar imot innlogginsinfo, validerer og oppretter en sesjon
 */
@WebServlet(name="Login", urlPatterns="/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@EJB
	TempEAO tempEAO;
	@EJB
	MaalerEAO navnEAO;
	@EJB
	BrukerEAO brukerEAO;
	Bruker bruker = new Bruker();
	List<Bruker> liste;
	String utlogging = "";

	public void init() {
		utlogging = getServletConfig().getInitParameter("tidParameter");
	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		if (request.getParameter("feilmelding") != null) {
			request.setAttribute("feilmelding", "Ugyldig mobil og/eller passord");
		}
		request.getRequestDispatcher("index.jsp").forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		PassordUtil passordUtil = new PassordUtil();
		ValiderInput validerInput = new ValiderInput();
		boolean testMobil = false; // tester om bruker er registrert i database
		boolean testPassword = false; // tester om passordet er ok
		String mobil = request.getParameter("loginmobil");
		String passord = request.getParameter("loginpassword");
		
		if (mobil != "") {
			testMobil = validerInput.validerMobil(mobil);
			if (!testMobil) {
				System.out.println("Feil melding: 68");
				response.sendRedirect("LoginServlet?feilmelding");
				return;
			}

			// test deltaker
			if (mobil != null) {
				int mob=Integer.parseInt(mobil);
				bruker = brukerEAO.retrieveEn(mob);
				if (bruker == null) {// Tester om bruker finnes i databasen
					System.out.println("Feil melding: 77");
					response.sendRedirect("LoginServlet?feilmelding");
					return;
				}
			}

			// test passord
			String kryptertLagretPassord = "";
			kryptertLagretPassord = bruker.getPassord();
			
			
			testPassword = passordUtil.sjekkPassord(passord, kryptertLagretPassord);
			if (!testPassword) {
				System.out.println("Feil melding: 92");
				response.sendRedirect("LoginServlet?feilmelding");
				return;
			}

			Sesjon session = new Sesjon();
			session.startSesjonVoid(request, bruker, utlogging);
			
			response.sendRedirect("OversiktServlet");
		} 
		
		else {
			response.sendRedirect("LoginServlet?feilmelding");
		}
		
	}

}
