package database;

import java.sql.Time;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "alarm", schema = "temperatur")
public class Alarm {

	public enum Varsel{
		TEMPERATURVARSEL, MAALERVARSEL
	}
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private int id;
	private String maalernavn;
	private Date dato;
	private Time tid;
	private Varsel varsel;

	public Alarm() {

	}


	public Alarm(String maalernavn,  Date dato ,Time tid, Varsel varsel) {
		this.maalernavn = maalernavn;
		this.dato = dato;
		this.tid = tid;
		this.varsel=varsel;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
	public String getMaalernavn() {
		return maalernavn;
	}

	public void setMaalernavn(String maalernavn) {
		this.maalernavn = maalernavn;
	}
	
	
	public Time getTid() {
		return tid;
	}


	public void setTid(Time tid) {
		this.tid = tid;
	}


	public Date getDato() {
		return dato;
	}

	public void setDato(Date dato) {
		this.dato = dato;
	}

	public Varsel getVarsel() {
		return varsel;
	}

	public void setVarsel(Varsel varsel) {
		this.varsel = varsel;
	}


	@Override
	public String toString() {
		return "Alarm [id=" + id + ", maalernavn=" + maalernavn + ", dato=" + dato + ", varsel=" + varsel
				+ ", tid=" + tid + "]";
	}
	
}
