package database;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;

/*
 * Denne klassen kommuniserer til databasen. Den lagrer, sletter og henter informasjon i databasen.
 */

@Stateless
public class AlarmEAO {

	@PersistenceContext(name = "TemperaturPercistenceUnit")
	private EntityManager em;

	synchronized public void create(Alarm a) {
		em.persist(a);
	}

	synchronized public void delete(Alarm a) {
		em.remove(em.merge(a));
	}

	// Finner primær id
	synchronized public Alarm retrieveEn(String maalernavn) {
		return em.find(Alarm.class, maalernavn);
	}

	synchronized public List<Alarm> retrieveAlle() {
		List<Alarm> liste = null;
		TypedQuery<Alarm> query = em.createQuery("SELECT a FROM Alarm a ORDER BY a.maalernavn, a.dato DESC, a.tid DESC", Alarm.class);
		liste = query.getResultList();

		return liste;
	}
	


}// class
