package database;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;

/*
 * Denne klassen kommuniserer til databasen. Den lagrer, sletter og henter informasjon i databasen.
 */

@Stateless
public class BrukerEAO {

	@PersistenceContext(name = "TemperaturPercistenceUnit")
	private EntityManager em;

	synchronized public void create(Bruker a) {
		em.persist(a);
	}

	synchronized public void delete(Bruker a) {
		em.remove(em.merge(a));
	}

	// Finner primær id
	synchronized public Bruker retrieveEn(int mobil) {
		return em.find(Bruker.class, mobil);
	}

	synchronized public List<Bruker> retrieveAlle() {
		List<Bruker> liste = null;
		TypedQuery<Bruker> query = em.createQuery("SELECT a FROM Bruker a", Bruker.class);
		liste = query.getResultList();

		return liste;
	}

}// class
