package database;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;

import metoder.Metoder;

/*
 * Denne klassen kommuniserer til databasen. Den lagrer, sletter og henter informasjon i databasen.
 */

@Stateless
public class MaalerEAO {

	Metoder metoder = new Metoder();

	@PersistenceContext(name = "TemperaturPercistenceUnit")
	private EntityManager em;

	synchronized public void create(Maaler a) {
		em.persist(a);
	}

	synchronized public void delete(Maaler a) {
		em.remove(em.merge(a));
	}

	// Finner ett objekt ut fra primær id
	synchronized public Maaler retrievePrimeKey(String arduinonavn) {
		Maaler navn = new Maaler();
		List<Maaler> liste = retrieveAll();
		for (Maaler n : liste) {
			System.out.println(n.toString());
			navn = n;
		}
		return navn;
	}

	// Finner ett objekt ut i fra navn
	synchronized public Maaler retrieveOne(String id) {
		return em.find(Maaler.class, id);
	}

	// Henter hele tabellen
	synchronized public List<Maaler> retrieveAll() {
		List<Maaler> liste = null;
		TypedQuery<Maaler> query = em.createQuery("SELECT a FROM Maaler a", Maaler.class);
		liste = query.getResultList();
		return liste;
	}

	synchronized public void update(Maaler maaler) {
		em.merge(maaler);
	}
	
	synchronized public String gateNavn(String maalerNavn) {
		String te="";
		//Finner gatenavn ut fra maalernavn
		TypedQuery<Maaler> q= em.createQuery("SELECT e.gatenavn FROM Maaler e WHERE e.maalernavn = :navn", Maaler.class); 
		q.setParameter("navn", maalerNavn);
		
	    List<Maaler>liste=q.getResultList();	
		te=metoder.charReplace(liste.toString());
	    return te;
	}

}// class
