package database;

import java.sql.Time;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity 
@Table(name = "temperatur", schema = "temperatur")
public class Temperatur {
	
	 @Id
	 @GeneratedValue(strategy = GenerationType.IDENTITY)
	int id;
	double temperatur;
	String maalernavn;
	Date dato;
	Time tid;
	Timestamp tidspunkt;

	public Temperatur() {
		this.temperatur=0;
	}

	public int getId() {
		return id;
	}


	public void setId(int id) {
		this.id = id;
	}


	public double getTemperatur() {
		return temperatur;
	}


	public void setTemperatur(double temperatur) {
		this.temperatur = temperatur;
	}
	
	public String getMaalerNavn() {
		return maalernavn;
	}

	public void setMaalerNavn(String navn) {
		this.maalernavn = navn;
	}

	public Date getDato() {
		return dato;
	}

	public void setDato(Date dato) {
		this.dato = dato;
	}

	public Time getTid() {
		return tid;
	}

	public void setTid(Time tid) {
		this.tid = tid;
	}

	public Timestamp getTidspunkt() {
		return tidspunkt;
	}

	public void setTidspunkt(Timestamp tidspunkt) {
		this.tidspunkt = tidspunkt;
	}

	@Override
	public String toString() {
		return "Temperatur [id=" + id + ", temperatur=" + temperatur + ", arduinonavn=" + maalernavn + ", dato=" + dato + ", tid="
				+ tid + ", tidspunkt=" + tidspunkt + "]";
	}
	
	public String utskriftDato() {
		DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		String utskrift=dateFormat.format(this.getDato());
		return utskrift;
	}
	
	public String utskriftTemperatur() {
		String utskriftTemp = String.format("%.1f", this.getTemperatur()); 
		return utskriftTemp;
	}
	
	public String utskriftTid() {
			DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");
			String utskrift=dateFormat.format(this.getTid());
			return utskrift;
	}

}
