package metoder;

import java.io.IOException;
import java.util.Date;
import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class EpostSender {

	/**
	 * Sender e-post fra en gmail.
	 * Sender og mottaker(e) oppgis i META-INF/config.properties. Sender må være gmail.
	 * 
	 * @param meldingen som blir sendt i eposten
	 */
	public static void sendEmail(String message) {
		PropValues prop = new PropValues();
		String[] credentials = { "empty", "empty" };
		String[] mails = {""}; 
		try {
			credentials = prop.getPropValues();
			mails = prop.getPropValuesMails(); //flere adresser
		} catch (IOException e) {
			e.printStackTrace();
		}

		String host = "smtp.gmail.com";
		String port = "587";
		
		String mailFrom = credentials[0];
		String password = credentials[1];
		String subject = "Alarm temperaturmaaler";
		for(String mailTo : mails){
		try {
			sendPlainTextEmail(host, port, mailFrom, password, mailTo, subject, message);
		} catch (Exception ex) {
			ex.printStackTrace();
		}
		} //flere adresser
	}//epostSender

	public static void sendPlainTextEmail(String host, String port, final String userName, final String password,

			String toAddress, String subject, String message) throws AddressException, MessagingException {

		// sets SMTP server properties
		Properties properties = new Properties();
		properties.put("mail.smtp.host", host);
		properties.put("mail.smtp.port", port);
		properties.put("mail.smtp.auth", "true");
		properties.put("mail.smtp.starttls.enable", "true");

		// creates a new session with an authenticator
		Authenticator auth = new Authenticator() {
			public PasswordAuthentication getPasswordAuthentication() {
				return new PasswordAuthentication(userName, password);
			}
		};

		Session session = Session.getInstance(properties, auth);

		// creates a new e-mail message
		Message msg = new MimeMessage(session);

		msg.setFrom(new InternetAddress(userName));
		InternetAddress[] toAddresses = { new InternetAddress(toAddress) };
		msg.setRecipients(Message.RecipientType.TO, toAddresses);
		msg.setSubject(subject);
		msg.setSentDate(new Date());
		// set plain text message
		msg.setText(message);

		// sends the e-mail
		Transport.send(msg);
	}
	
	/**
	 * Sender varsel om at temperatur er over oppgitt grense i form av e-post.
	 * Sender og mottaker(e) oppgis i META-INF/config.properties. Sender må være gmail.
	 * 
	 * @param deviceName navnet på måleren i e-posten
	 * @param temperature temperaturen oppgitt i e-posten
	 */
	public static void sendTemperatureWarning(String deviceName, String temperature) {
		sendEmail("Måler " + deviceName + " er nå " + temperature+ " grader. " + "Den har oversteget kritisk temperatur. ");
	}
	
	/** 
	 * Sender varsel om at måler er slått av i form av e-post. 
	 * Sender og mottaker(e) oppgis i META-INF/config.properties. Sender må være gmail.
	 * 
	 * @param deviceName navnet på måleren i e-posten
	 */
	public static void sendDeviceDisconnectWarning(String deviceName) {
		sendEmail("ALARM, MÅLER " + "\"" + deviceName + "\"" + " VIRKER IKKE. ");
	}

}
