package metoder;

import java.sql.Time;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.util.Date;

/*
 * Her er samlet hjelpemetoder som blir brukt av mange klasser
 */
public class Metoder {

	public Metoder() {
		
	}
	
	//UTSKRIFTSMETODER*******************************************************************
	//Setter sammen to metoder, for utskrift av string
	public String utskrift(String str) {
		if(str.equals("[null]") || str.equals("[0.0]")){
			return "[null]";
		}
		else {
			str=charReplace(str);
			str=roundDecimals(str);
			return str;
		}
	}
	
	
	//Tar vekk [ ] fra utskrifter
	public String charReplace(String str) {		
		String strNew = str.replace("[", "");
		strNew = strNew.replace("]", "");	
		return strNew;
	}
	
	//Utskrift av Strings, som tall. Runder av 8 desimaler til 1 desimal
	public String roundDecimals(String str) {	
		double a = Double.parseDouble(str);	
		String strNew="";
		strNew=String.format("%.1f", a); 
		return strNew;
	}
	

	//Forandrer ',' til '.' for å kunne bruke metoden Double.parseDouble
	public double forandreKomma(String tall) {
		double d=0;
		String s="";
		
		char[]c=tall.toCharArray();
		for(int i=0; i<c.length; i++) {
			if(c[i]==',') {
				c[i]='.';
			}
		s+=c[i];
		}
		d=Double.parseDouble(s);
		
		return d;
	}
	
	
	
	public String utskriftTid(Date dato) {
		DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");
		String utskrift=dateFormat.format(dato);
		return utskrift;
	}
	
	
	public String utskriftDato(Date dato) {
		DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		String utskrift=dateFormat.format(dato);
		return utskrift;
	}
	

	public Time getTid() {
	    long now = System.currentTimeMillis(); //Klokkeslett i sanntid
	    Time sqlTime = new Time(now);
		return sqlTime;
	}
	
	public String getTidString() {
	    long now = System.currentTimeMillis(); //Klokkeslett i sanntid
	    Time sqlTime = new Time(now);
		return ""+sqlTime;
	}
	
	public Timestamp getTidspunkt() {
	    long now = System.currentTimeMillis(); //Klokkeslett i sanntid
	    Timestamp timestamp = new Timestamp(now);
	    return timestamp;
	
	}
	
	//DATO METODER*************************************************************************
	
	//Rekner ut datoer
	public String datoRekning(int antall) {	
		LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(antall); //temperaturen fra i går	
	    Date d =java.sql.Date.valueOf(localdate);   
	    String utskrift=utskriftDato(d);
	    
		return utskrift;
	}
	
	
	//Henter dagens dato
	public Date getDato() {
		LocalDate localdate = LocalDate.now();
		Date dato =java.sql.Date.valueOf(localdate);
		return dato;
	}
		
	
	//Henter gaarsdagens dato
	public Date oneDayAgo() {	
		LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(1); //temperaturen fra i går	
	    Date d =java.sql.Date.valueOf(localdate);     
		return d;
	}
	
	
	//Henter dato for to dager siden
	public Date twoDaysAgo() {	
		LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(2); //temperaturen fra i går	
	    Date d =java.sql.Date.valueOf(localdate);     
		return d;
	}
	
	//Henter dato for syv dager siden
	public Date sevenDaysAgo() {	
		LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(7); //temperature seven days avo
	    Date d =java.sql.Date.valueOf(localdate);     
		return d;
	}
	
	//Henter dato for en mnd siden
	public Date oneMonthAgo() {
		LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(30); //temperature seven days ago
	    Date d =java.sql.Date.valueOf(localdate);     
		return d;
	}
	
	
	//Henter dato for ett aar siden
	public Date oneYearAgo() {
	LocalDate localdate = LocalDate.now();	//henter dagens dato		
		localdate=localdate.minusDays(365); //temperaturen fra 365 dager siden
	    Date d =java.sql.Date.valueOf(localdate);     
		return d;
	}

}
