package metoder;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class PropValues {

	String[] credentials = { "empty", "empty" };
	String propContent;
	InputStream inputStream;
	
	/**
	 * Henter ut e-postadresse og e-postpassord fra META-INF/config.properties
	 * 
	 * @return String Array med to verdier. [0] er epostadresse, [1] er dens passord.
	 * @throws IOException
	 */
	public String[] getPropValues() throws IOException {

		try {
			Properties prop = new Properties();
			//String propFileName = "META-INF\\config.properties"; //Funker på pc
			String propFileName = "META-INF/config.properties"; // funker på ubuntu
			
			inputStream = getClass().getClassLoader().getResourceAsStream(propFileName);

			if (inputStream != null) {
				prop.load(inputStream);
			} else {
				throw new FileNotFoundException("property file '" + propFileName + "' not found in the classpath");
			}
			String username = prop.getProperty("emailaddress");
			String password = prop.getProperty("emailpassword");

			credentials[0] = username;
			credentials[1] = password;
		} catch (Exception e) {
			System.out.println("Exception: " + e);
		} finally {
			inputStream.close();
		}
		return credentials;
	}
	
	/**
	 * Henter ut mottaker e-postadresser fra META-INF/config.properties
	 * 
	 * @return Array av mottaker e-postadresser
	 * @throws IOException
	 */
	public String[] getPropValuesMails() throws IOException {
		String[] mails = { "" };
		try {
			Properties prop = new Properties();

			String propFileName = "META-INF/config.properties"; // funker på ubuntu
			inputStream = getClass().getClassLoader().getResourceAsStream(propFileName);

			if (inputStream != null) {
				prop.load(inputStream);
			} else {
				throw new FileNotFoundException("property file '" + propFileName + "' not found in the classpath");
			}
			mails = prop.getProperty("emailreceivers").toString().split("#");

		} catch (Exception e) {
			System.out.println("Exception: " + e);
		} finally {
			inputStream.close();
		}
		return mails;
	}
}
