package sesjon;

import javax.servlet.http.HttpServletRequest;

//Klassen tar imot input som kommer i fra jsp sider. Deretter blir input kontrollert.

public class ValiderInput {
	
	public ValiderInput() {
		
	}
	
	public String escapeHtml(String s) {
		String resultat = s;
		resultat = resultat.replaceAll("<", "&lt;");
		resultat = resultat.replaceAll(">", "&gt;");
		resultat = resultat.replaceAll("\"", "&quot;");
		resultat = resultat.replaceAll("&", "&amp;");
		return resultat;
	}
	
	
	public boolean validerForNavn(String s) {
		boolean test= (s != null && s.matches("^[A-Za-z0-9ÆØÅæøå]{2,20}$")); 
		return test;
	}
	
	
	public boolean validateUsername(String username) {
		boolean test= (username == "" || username.matches("^[A-Za-z0-9ÆØÅæøå]{2,20}$"));
		return test;
	}
	
	public boolean validerEtterNavn(String s) {
		boolean test= (s != null && s.matches("^[A-Za-zÆØÅæøå ]{2,20}$")); 
		return test;
	}
	
	public boolean validerMobil(String s) {
		return s != null && s.matches("^[0-9]{8}$");
	}
	
	public boolean validerEpost(String s) {
		return s != null && s.matches("^[A-Za-z0-9+_.-]+@(.+)$");
	}
	
	public boolean validerPassord(String s) {
		return s.matches("^(?=.*\\d)(?=.*[a-z])(?=.*[A-Z])[0-9a-zA-Z]{8,16}$");
	}
	
	
	public boolean validerPassordRepeter(String passord, String passordRepeter, boolean testPassord) {
		boolean test=false;
		if(!testPassord) {
			test=false;
		}
		else {
			if(passord.equals(passordRepeter) && passordRepeter!=null) {
				test=true;
			}
		}
		return test;
	}
	
	//Denne metoden tar imot input som er ferdig validert. Dersom validering er false, blir det laget en feilmelding før 
	//requesten blir sendt tilbake til nybruker.jsp
	public HttpServletRequest settFeilmeldinger(HttpServletRequest request, boolean testFornavn, boolean testEtternavn, 
			boolean testMobil, boolean testEpost, boolean testPassord, boolean testPassordRep, 
			String fornavn, String etternavn, String mobil, String epost, String passord, String passordRep) {
			
			if(!testFornavn) {
				request.setAttribute("feilmeldingFornavn", "Ugyldig fornavn");
			}
			else {
				request.setAttribute("RettForNavn", fornavn);
			}
			if(!testEtternavn) {
				request.setAttribute("feilmeldingEtternavn", "Ugyldig etternavn");
			}
			else {
				request.setAttribute("RettEtterNavn", etternavn);
			}
			if(!testMobil) {
				request.setAttribute("feilmeldingMobil", "Ugyldig mobil. Mobilnummeret er feil, eller finnes i databasen ");
			}
			else {
				request.setAttribute("RettMobil", mobil);
			}
			if(!testEpost) {
				request.setAttribute("feilmeldingEpost", "Ugyldig epost");
			}
			else {
				request.setAttribute("RettEpost", epost);
			}
			if(!testPassord) {
				request.setAttribute("feilmeldingPassord", "Ugyldig passord");
			}
			else {
				request.setAttribute("RettPassord", passord);
			}
			if(!testPassordRep) {
				request.setAttribute("feilmeldingPassordRepeter", "Passordene må være like");
			}
			else {
				request.setAttribute("RettPassordRepeter", passordRep);
			}
			return request;
	}
}
