package webServlets;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import database.Alarm;
import database.AlarmEAO;
import database.MaalerEAO;
import metoder.FlyttLogg;
import metoder.Metoder;

//Klassen tar imot brukere som skal til logg.jsp. 
//Først blir sesjon validert doPost. Deretter blir bruker sendt til 
//doGet. Der blir visning klargjort, før bruker sendes til logg.jsp
@WebServlet("/LoggServlet")
public class LoggServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
    
	@EJB
	AlarmEAO alarmEAO;

	@EJB
	MaalerEAO maalerEAO;
	
	@Override
	public void init() throws ServletException {
		
	}
	
    public LoggServlet() {
        super();
    }
    
    
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession sesjon = request.getSession(false);  //SESJON Returnerer null eller eksisterende sesjon
        if (sesjon == null || sesjon.getAttribute("Bruker") == null) {
        	request.setAttribute("feilmelding", "Sesjon ugyldig");
        	request.getRequestDispatcher("index.jsp").forward(request,response);
        }
        else {
        		Metoder metoder=new Metoder();
        		List<FlyttLogg>loggListe=new ArrayList<FlyttLogg>();	
				List<Alarm>liste=new ArrayList<Alarm>();
				liste=alarmEAO.retrieveAlle();
				if(liste.isEmpty()) {
					request.setAttribute("melding", "Ingen meldinger i logg");
				}
				else {
					
					for(Alarm a: liste) {
						FlyttLogg fl= new FlyttLogg();
						fl.setGatenavn(maalerEAO.gateNavn(a.getMaalernavn()));
						String dato=metoder.utskriftDato(a.getDato());
						fl.setDato(dato);
						String tid=metoder.utskriftTid(a.getTid());
						fl.setTid(tid);
						fl.setVarsel(""+a.getVarsel());
						
						loggListe.add(fl);
					}
				}

				request.setAttribute("logg", loggListe);
				request.getRequestDispatcher("WEB-INF/logg.jsp").forward(request, response);
        }//else	
	}//doGet


	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession sesjon = request.getSession(false);  //SESJON Returnerer null eller eksisterende sesjon
        if (sesjon == null || sesjon.getAttribute("Bruker") == null) {
        	request.setAttribute("feilmelding", "Sesjon ugyldig");
        	request.getRequestDispatcher("index.jsp").forward(request,response);
        }
        else {

        	String logg = request.getParameter("slett");
        	if(logg.equals("slett")) {
        		List<Alarm>liste=new ArrayList<Alarm>();
        		liste=alarmEAO.retrieveAlle();
        		for(Alarm a: liste) {
        			alarmEAO.delete(a);
        		}
        	}
			response.sendRedirect("LoggServlet");
        }//else	
	}//doPost
	
	
}//Class
